### Property

# FwupdPlugin Device:physical-id

since: 1.1.2

#### Declaration

    property physical-id: utf8 [ read, write ]

#### Description [src]

The device physical ID.

Type: | `gchar*`
Available since: | 1.1.2

Default value | NULL
Getter method | `fu_device_get_physical_id()`
Setter method | `fu_device_set_physical_id()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no